Bug 181759 - need to add dependency of fonts for langauges
need to add dependency of fonts for langauges
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: FutureFeature, i18n
Depends On:
Blocks: Indic SCIM
  Show dependency treegraph
 
Reported: 2006-02-16 06:00 EST by A S Alam
Modified: 2013-07-02 20:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-17 01:28:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A S Alam 2006-02-16 06:00:25 EST
Description of problem:
When we install a m17n-db-LANG package, then it should check whether repective
languague's fonts were installed or not?

Version-Release number of selected component (if applicable):
1.3.2-2

How reproducible:
everytime with a language (suppose Punjabi) installation

Steps to Reproduce:
1. Fresh install Desktop with any single Indic (suppose Punjabi) Language
2. yum install m17n-db-hindi (other than default (Punjabi) language)
3. Package is installed, but without hindi langauge's fonts
  
Actual results:
m17n-db-LANG (m17n-db-hindi) package installed

Expected results:
m17-db-LANG (m17n-db-hindi) package should show dependency for fonts
(fonts-hindi), so that User can able to use other langauge (hindi)

Additional info:
Comment 1 Jens Petersen 2006-02-17 01:28:03 EST
If you want to add Hindi support after installation, the way to do it
is "yum group install hindi-support" or use the package tool,
otherwise better to grab the fonts yourself I'm afraid.

While I sympathize with the idea, the m17n-db input maps are not really tied
to any particular fonts - it is conceivable users might prefer to install
some other font in place of the ones we ship for instance.

Note You need to log in before you can comment on or make changes to this bug.